package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag785;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT785Creator;

/**
 * @author wuzhe
 * @date 2023/2/27
 */
public class Tag23XCreator extends AbsTagCreate {

     private MT785Creator mt785Creator;

    public Tag23XCreator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt785Creator= (MT785Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag23XValue = mt785Creator.getFileIdentification();
        mt785Creator.set("23X", tag23XValue);
    }
}
